List Releases
curl --request GET \
--url https://api.veryfront.com/projects/{project_reference}/releases \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veryfront.com/projects/{project_reference}/releases"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veryfront.com/projects/{project_reference}/releases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"export_status": "in_progress",
"build_status": "in_progress",
"deploy_status": "in_progress",
"version": "<string>",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "<string>",
"updated_at": "<string>",
"asset_manifest": {
"state": "queued",
"manifest_version": 123
}
}
],
"page_info": {
"self": "<string>",
"first": null,
"next": "<string>",
"prev": "<string>"
}
}Lists releases for the resolved project with cursor pagination.
GET
/
projects
/
{project_reference}
/
releases
List Releases
Authorizations
bearerAuthapiKeyAuth
Use a JWT bearer token or a Veryfront API key in the Authorization header.
Path Parameters
Project slug, ID, or other supported project reference.
Query Parameters
Cursor for pagination (release ID).
Maximum number of releases to return. Defaults to 20 and is capped at 100.
Required range:
1 <= x <= 100Sort field. Defaults to "created_at". The "status" field sorts by deploy_status.
Available options:
created_at, version, status Sort order. Defaults to "desc".
Available options:
asc, desc